# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test::More)
# END SourceDeps(oneline)
%define module_version 1.3
%define module_name Bit-Vector-Minimal
%define _unpackaged_files_terminate_build 1
BuildRequires: perl-rpm-build-perl perl-devel perl-podlators rpm-build

Name: perl-%module_name
Version: 1.3
Release: 1%{?dist}
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url:  https://www.cpan.org/modules/by-module/Bit

Source0: http://cpan.org.ua/authors/id/T/TM/TMTM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -n %module_name-%module_version

%build
#%perl_vendor_build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
#%perl_vendor_install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;


%files
%doc README Changes
#%perl_vendor_privlib/B*
%{perl_vendorlib}/B*
%{_mandir}/man3/*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1
- initial import by package builder

